Editar quadro kanban
curl --request PATCH \
--url https://api.juridiq.com.br/task-board/update-board/{id} \
--header 'Content-Type: application/json' \
--header 'x-juridiq-api-key: <api-key>' \
--data '
{
"name": "<string>",
"hexColor": "<string>",
"responsiblesId": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isArchived": true
}
'import requests
url = "https://api.juridiq.com.br/task-board/update-board/{id}"
payload = {
"name": "<string>",
"hexColor": "<string>",
"responsiblesId": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isArchived": True
}
headers = {
"x-juridiq-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-juridiq-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
hexColor: '<string>',
responsiblesId: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
folderId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isArchived: true
})
};
fetch('https://api.juridiq.com.br/task-board/update-board/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/task-board/update-board/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'hexColor' => '<string>',
'responsiblesId' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'folderId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'isArchived' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/task-board/update-board/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"hexColor\": \"<string>\",\n \"responsiblesId\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"folderId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isArchived\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-juridiq-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.juridiq.com.br/task-board/update-board/{id}")
.header("x-juridiq-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"hexColor\": \"<string>\",\n \"responsiblesId\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"folderId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isArchived\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/task-board/update-board/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-juridiq-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"hexColor\": \"<string>\",\n \"responsiblesId\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"folderId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isArchived\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"hexColor": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isArchived": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"responsibles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"imageUrl": "<string>"
}
]
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Task Board
Editar quadro kanban
Edita nome, cor, responsáveis, pasta (folderId) ou arquiva um quadro (board). Obtenha o ID em GET /task-board/list-folders ou GET /task-board/show-folder-board-column.
PATCH
/
task-board
/
update-board
/
{id}
Editar quadro kanban
curl --request PATCH \
--url https://api.juridiq.com.br/task-board/update-board/{id} \
--header 'Content-Type: application/json' \
--header 'x-juridiq-api-key: <api-key>' \
--data '
{
"name": "<string>",
"hexColor": "<string>",
"responsiblesId": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isArchived": true
}
'import requests
url = "https://api.juridiq.com.br/task-board/update-board/{id}"
payload = {
"name": "<string>",
"hexColor": "<string>",
"responsiblesId": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isArchived": True
}
headers = {
"x-juridiq-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-juridiq-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
hexColor: '<string>',
responsiblesId: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
folderId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isArchived: true
})
};
fetch('https://api.juridiq.com.br/task-board/update-board/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/task-board/update-board/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'hexColor' => '<string>',
'responsiblesId' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'folderId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'isArchived' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/task-board/update-board/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"hexColor\": \"<string>\",\n \"responsiblesId\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"folderId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isArchived\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-juridiq-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.juridiq.com.br/task-board/update-board/{id}")
.header("x-juridiq-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"hexColor\": \"<string>\",\n \"responsiblesId\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"folderId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isArchived\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/task-board/update-board/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-juridiq-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"hexColor\": \"<string>\",\n \"responsiblesId\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"folderId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isArchived\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"hexColor": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isArchived": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"responsibles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"imageUrl": "<string>"
}
]
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key. A API aberta aplica rate limit por chave (veja a documentação de integradores).
Path Parameters
ID do quadro kanban (task_kanban_boards)
Body
application/json
Response
Default Response

